Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application
Class MessageFactoryImpl

    java.lang.Object
      org.richfaces.application.MessageFactoryImpl

All Implemented Interfaces:
  org.richfaces.application.MessageFactory

    public class MessageFactoryImpl

extends java.lang.Object
implements org.richfaces.application.MessageFactory

Author:
  Nick Belaevski

Nested Class Summary
`protected static interface` | `MessageFactoryImpl.Factory<T>`

Constructor Summary
`MessageFactoryImpl(org.richfaces.l10n.BundleLoader bundleLoader)`

Method Summary
`protected
`<T> T`
` | `create(javax.faces.context.FacesContext context, MessageFactoryImpl.Factory<T> factory, java.util.Locale locale, java.lang.Enum<?> messageKey, java.lang.Object... args)`
`javax.faces.application.FacesMessage` | `createMessage(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> messageKey, java.lang.Object... args)`
`javax.faces.application.FacesMessage` | `createMessage(javax.faces.context.FacesContext facesContext, javax.faces.application.FacesMessage.Severity severity, java.lang.Enum<?> messageKey, java.lang.Object... args)`
`protected
`<T> T`
` | `detectLocalesAndCreate(javax.faces.context.FacesContext context, MessageFactoryImpl.Factory<T> factory, java.lang.Enum<?> messageKey, java.lang.Object... args)`
`java.lang.String` | `getMessageFormat(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> messageKey)`
`java.lang.String` | `getMessageText(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> messageKey, java.lang.Object... args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageFactoryImpl

    public MessageFactoryImpl(org.richfaces.l10n.BundleLoader bundleLoader)

Method Detail

### createMessage

    public javax.faces.application.FacesMessage createMessage(javax.faces.context.FacesContext facesContext,
                                                              java.lang.Enum<?> messageKey,
                                                              java.lang.Object... args)

  Specified by:
    `createMessage` in interface `org.richfaces.application.MessageFactory`

### createMessage

    public javax.faces.application.FacesMessage createMessage(javax.faces.context.FacesContext facesContext,
                                                              javax.faces.application.FacesMessage.Severity severity,
                                                              java.lang.Enum<?> messageKey,
                                                              java.lang.Object... args)

  Specified by:
    `createMessage` in interface `org.richfaces.application.MessageFactory`

### getMessageText

    public java.lang.String getMessageText(javax.faces.context.FacesContext facesContext,
                                           java.lang.Enum<?> messageKey,
                                           java.lang.Object... args)

  Specified by:
    `getMessageText` in interface `org.richfaces.application.MessageFactory`

### getMessageFormat

    public java.lang.String getMessageFormat(javax.faces.context.FacesContext facesContext,
                                             java.lang.Enum<?> messageKey)

  Specified by:
    `getMessageFormat` in interface `org.richfaces.application.MessageFactory`

### detectLocalesAndCreate

    protected <T> T detectLocalesAndCreate(javax.faces.context.FacesContext context,
                                           MessageFactoryImpl.Factory<T> factory,
                                           java.lang.Enum<?> messageKey,
                                           java.lang.Object... args)

### create

    protected <T> T create(javax.faces.context.FacesContext context,
                           MessageFactoryImpl.Factory<T> factory,
                           java.util.Locale locale,
                           java.lang.Enum<?> messageKey,
                           java.lang.Object... args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.